Get agent template
curl --request GET \
--url https://api.akua.dev/v1/agent_templates/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.akua.dev/v1/agent_templates/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.akua.dev/v1/agent_templates/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"name": "<string>",
"description": "<string>",
"instructions": "<string>",
"state": "PUBLISHED",
"capabilities": [],
"ambient": {
"enabled": true,
"triggers": [
{
"trigger_id": "<string>",
"cooldown_seconds": 123,
"relationship_scope": {
"type": "WORKSPACE"
},
"resource_filters": [
{
"type": "<string>",
"id": "<string>"
}
],
"quiet_hours": {
"timezone": "<string>",
"start": "<string>",
"end": "<string>"
}
}
],
"policy": {
"allowed_resource_scopes": [
{
"type": "<string>",
"id": "<string>"
}
],
"max_spend_cents_per_trigger": 1
}
},
"trigger_filters": [
{
"resource_types": [
"<string>"
],
"states": [
"<string>"
]
}
],
"model_policy": {
"default_model": "<string>",
"credential_secret_id": "<string>",
"allowed_models": [
"<string>"
],
"severity_model_overrides": [
{
"model": "<string>"
}
],
"max_budget_cents": 1,
"max_turn_budget_cents": 1
},
"runtime_policy": {
"filesystem": "<string>",
"shell": "<string>",
"browser": "<string>"
},
"remediation_policy": {
"repository_change_request": {
"mode": "LIKELY_SOURCE_OR_CONFIG_FIX_ONLY",
"evidence_required": true,
"allowed_actions": [
"<string>"
],
"blocked_actions": [
"<string>"
]
}
},
"grants": [
{
"resource": "<string>",
"actions": [
"<string>"
]
}
],
"created_at": 1,
"updated_at": 1,
"etag": "<string>"
}{
"success": false,
"errors": [
{
"code": 7002,
"message": "Resource not found",
"path": [
"body",
"name"
],
"metadata": {}
}
],
"result": {}
}{
"success": false,
"errors": [
{
"code": 7002,
"message": "Resource not found",
"path": [
"body",
"name"
],
"metadata": {}
}
],
"result": {}
}{
"success": false,
"errors": [
{
"code": 7002,
"message": "Resource not found",
"path": [
"body",
"name"
],
"metadata": {}
}
],
"result": {}
}Agent templates
Get agent template
Gets one platform-curated agent template.
GET
/
agent_templates
/
{id}
Get agent template
Authorizations
workspace API token (sk_akua_...) or OAuth2 JWT. Create tokens at https://akua.dev/developers/api-tokens
Path Parameters
Required string length:
1 - 56Response
Agent template
Required string length:
1 - 56Available options:
PUBLISHED Available options:
CHAT, CODING, AMBIENT Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Unix timestamp (seconds)
Required range:
x >= 0Unix timestamp (seconds)
Required range:
x >= 0⌘I